{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "core": {
      "root": "projects/core",
      "sourceRoot": "projects/core/src",
      "projectType": "library",
      "prefix": "core",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:ng-packagr",
          "options": {
            "tsConfig": "projects/core/tsconfig.lib.json",
            "project": "projects/core/ng-package.json"
          }
        ,          "configurations": {
            "production": {
              "tsConfig": "projects/core/tsconfig.lib.prod.json"
            }
          }
},
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/core/src/test.ts",
            "tsConfig": "projects/core/tsconfig.spec.json",
            "karmaConfig": "projects/core/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/core/tsconfig.lib.json",
              "projects/core/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    },
    "core-tests": {
      "root": "projects/core-tests/",
      "sourceRoot": "projects/core-tests/src",
      "projectType": "application",
      "prefix": "app",
      "schematics": {},
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "aot": true,
            "outputPath": "dist/core-tests",
            "index": "projects/core-tests/src/index.html",
            "main": "projects/core-tests/src/main.ts",
            "polyfills": "projects/core-tests/src/polyfills.ts",
            "tsConfig": "projects/core-tests/tsconfig.app.json",
            "assets": [
              "projects/core-tests/src/favicon.ico",
              "projects/core-tests/src/assets"
            ],
            "styles": [
              "projects/core-tests/src/styles.css"
            ],
            "scripts": []
          },
          "configurations": {
            "production": {
              "fileReplacements": [
                {
                  "replace": "projects/core-tests/src/environments/environment.ts",
                  "with": "projects/core-tests/src/environments/environment.prod.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "namedChunks": false,
              "aot": true,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "2mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "core-tests:build"
          },
          "configurations": {
            "production": {
              "browserTarget": "core-tests:build:production"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "core-tests:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/core-tests/src/test.ts",
            "polyfills": "projects/core-tests/src/polyfills.ts",
            "tsConfig": "projects/core-tests/tsconfig.spec.json",
            "karmaConfig": "projects/core-tests/karma.conf.js",
            "styles": [
              "projects/core-tests/src/styles.css"
            ],
            "scripts": [],
            "assets": [
              "projects/core-tests/src/favicon.ico",
              "projects/core-tests/src/assets"
            ]
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/core-tests/tsconfig.app.json",
              "projects/core-tests/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    },
    "core-tests-e2e": {
      "root": "projects/core-tests-e2e/",
      "projectType": "application",
      "prefix": "",
      "architect": {
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "projects/core-tests-e2e/protractor.conf.js",
            "devServerTarget": "core-tests:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "core-tests:serve:production"
            }
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": "projects/core-tests-e2e/tsconfig.e2e.json",
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    },
    "core-driver": {
      "root": "projects/core-driver/",
      "sourceRoot": "projects/core-driver/src",
      "projectType": "application",
      "prefix": "app",
      "schematics": {},
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "aot": true,
            "outputPath": "dist/core-driver",
            "index": "projects/core-driver/src/index.html",
            "main": "projects/core-driver/src/main.ts",
            "polyfills": "projects/core-driver/src/polyfills.ts",
            "tsConfig": "projects/core-driver/tsconfig.app.json",
            "assets": [
              "projects/core-driver/src/favicon.ico",
              "projects/core-driver/src/assets"
            ],
            "styles": [
              "projects/core-driver/src/styles.css"
            ],
            "scripts": []
          },
          "configurations": {
            "production": {
              "fileReplacements": [
                {
                  "replace": "projects/core-driver/src/environments/environment.ts",
                  "with": "projects/core-driver/src/environments/environment.prod.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "namedChunks": false,
              "aot": true,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "2mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "core-driver:build"
          },
          "configurations": {
            "production": {
              "browserTarget": "core-driver:build:production"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "core-driver:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/core-driver/src/test.ts",
            "polyfills": "projects/core-driver/src/polyfills.ts",
            "tsConfig": "projects/core-driver/tsconfig.spec.json",
            "karmaConfig": "projects/core-driver/karma.conf.js",
            "styles": [
              "projects/core-driver/src/styles.css"
            ],
            "scripts": [],
            "assets": [
              "projects/core-driver/src/favicon.ico",
              "projects/core-driver/src/assets"
            ]
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/core-driver/tsconfig.app.json",
              "projects/core-driver/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    },
    "core-driver-e2e": {
      "root": "projects/core-driver-e2e/",
      "projectType": "application",
      "prefix": "",
      "architect": {
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "projects/core-driver-e2e/protractor.conf.js",
            "devServerTarget": "core-driver:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "core-driver:serve:production"
            }
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": "projects/core-driver-e2e/tsconfig.e2e.json",
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    }
  },
  "defaultProject": "core"
}